Bug 9417 - Allow number of results per page to be selectable for guided reports
Summary: Allow number of results per page to be selectable for guided reports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 14:17 UTC by Kyle M Hall
Modified: 2013-12-05 20:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9417 - Allow number of results per page to be selectable for guided reports (3.40 KB, patch)
2013-01-17 14:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
screenshot of incorrectly constructed select list (115.86 KB, image/png)
2013-02-06 04:31 UTC, Galen Charlton
Details
Bug 9417 - Allow number of results per page to be selectable for guided reports (3.52 KB, patch)
2013-02-06 12:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9417 - Allow number of results per page to be selectable for guided reports (3.62 KB, patch)
2013-02-07 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9417 - Allow number of results per page to be selectable for guided reports (3.63 KB, patch)
2013-02-08 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-01-17 14:17:44 UTC
Right now the number of results per page for reports is fixed at 20. It would be nice to allow for more results per page, while retaining the default as 20 per page.
Comment 1 Kyle M Hall 2013-01-17 14:20:28 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-02-06 04:31:31 UTC
Created attachment 15083 [details]
screenshot of incorrectly constructed select list

The feature works as advertised, but the drop-down for selecting the number of rows to display isn't being constructed correctly.  As you can see in the screenshot I've attached, if you change the number of rows and re-run the report, the currently selected number of rows is duplicated at the top of the option list.  Idiomatic HTML would wouldn't duplicate the value but would simply select the corresponding entry on the option list.
Comment 3 Kyle M Hall 2013-02-06 12:59:05 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-02-06 12:59:31 UTC
Fixed!
Comment 5 Owen Leonard 2013-02-07 19:48:47 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-02-08 09:51:30 UTC
QA comment:

Very useful patch!
It adds a drop-down list with the number of displayed lines.
Perhaps we would like to have a "all" entry, but browsers won't like this idea :)
Code clean, few code.

Marked as Passed QA.
Comment 7 Jonathan Druart 2013-02-08 09:51:45 UTC
Created attachment 15155 [details] [review]
Bug 9417 - Allow number of results per page to be selectable for guided reports

This patch adds the ability to select the number of row to show per page while
retaining the default rows per page as 20.

Test Plan:
1) Apply patch
2) Run a guided report that will have many resultant rows
3) Try the various rows per page options
4) Verify the rows per page selected is retained when paging through results

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jared Camins-Esakov 2013-02-08 14:35:17 UTC
This patch has been pushed to master.